%global api_ver		5
%global major 		0
%define gir_major	5
%define libname		%mklibname gtksourceview %api_ver %major
%define devname		%mklibname -d gtksourceview %api_ver
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           gtksourceview5
Version:        5.14.0
Release:        %mkrel 1
Summary:        Source code editing widget
Group:          Graphical desktop/GNOME

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GtkSourceView
Source0:        https://download.gnome.org/sources/gtksourceview/%{url_ver}/gtksourceview-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(sysprof-capture-4)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  vala-tools

Requires: glib2.0-common%{?_isa}
Requires: hicolor-icon-theme

%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard GTK+
widget for multiline text editing. GtkSourceView adds support for syntax
highlighting, undo/redo, file loading and saving, search and replace, a
completion system, printing, displaying line numbers, and other features
typical of a source code editor.

This package contains version %{api_ver} of GtkSourceView.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{girname}
Summary:	GObject Introspection interface description for GtkSource
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{name} < 5.6.0

%description -n %{girname}
GObject Introspection interface description for GtkSource.

%package        -n %devname
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -n gtksourceview-%{version} -p1

%build
%meson -Ddocumentation=true -Dsysprof=true -Dinstall-tests=true
%meson_build

%install
%meson_install

%find_lang gtksourceview-%{api_ver}

%files -f gtksourceview-%{api_ver}.lang
%license COPYING
%doc NEWS README.md
%{_datadir}/gtksourceview-%{api_ver}/
%{_datadir}/icons/hicolor/scalable/actions/*

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{api_ver}.typelib

%files -n %{devname}
%{_docdir}/gtksourceview%{api_ver}/
%{_includedir}/gtksourceview-%{api_ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtksourceview-%{api_ver}.so
%{_datadir}/gir-1.0/GtkSource-%{api_ver}.gir
%{_datadir}/vala/vapi/gtksourceview-%{api_ver}.{deps,vapi}

%files tests
%{_bindir}/gtksourceview%{api_ver}-widget
%{_libexecdir}/installed-tests
%{_datadir}/installed-tests


%changelog
* Wed Sep 18 2024 daviddavid <daviddavid> 5.14.0-1.mga10
+ Revision: 2098070
- new version 5.14.0

* Wed Sep 11 2024 daviddavid <daviddavid> 5.13.1-1.mga10
+ Revision: 2095115
- new version 5.13.1

* Sun Jun 02 2024 daviddavid <daviddavid> 5.12.1-1.mga10
+ Revision: 2069162
- new version 5.12.1

* Sun Mar 17 2024 daviddavid <daviddavid> 5.12.0-1.mga10
+ Revision: 2050264
- new version 5.12.0

* Thu Feb 15 2024 daviddavid <daviddavid> 5.11.0-1.mga10
+ Revision: 2041316
- new version 5.11.0

* Tue Sep 26 2023 tv <tv> 5.10.0-1.mga10
+ Revision: 1991162
- Update to 5.10.0

* Sat Apr 22 2023 tmb <tmb> 5.8.0-1.mga9
+ Revision: 1954092
- update to 5.8.0

* Thu Feb 16 2023 daviddavid <daviddavid> 5.7.1-1.mga9
+ Revision: 1943402
- new version 5.7.1

* Wed Feb 15 2023 daviddavid <daviddavid> 5.7.0-1.mga9
+ Revision: 1942669
- new version 5.7.0

* Thu Sep 22 2022 ovitters <ovitters> 5.6.1-1.mga9
+ Revision: 1891420
- new version 5.6.1

* Tue Sep 20 2022 wally <wally> 5.6.0-1.mga9
+ Revision: 1890745
- new version 5.6.0
- split out gir typelib

* Thu May 12 2022 tv <tv> 5.4.1-2.mga9
+ Revision: 1857769
- Backport fix for dark theme Markdown highlighting

* Thu Apr 21 2022 ovitters <ovitters> 5.4.1-1.mga9
+ Revision: 1852554
- new version 5.4.1

* Tue Mar 29 2022 tv <tv> 5.4.0-1.mga9
+ Revision: 1831753
- Update to 5.4.0

* Wed Mar 16 2022 tv <tv> 5.3.2-1.mga9
+ Revision: 1794353
- imported package gtksourceview5


* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 11 2022 Neal Gompa <ngompa@fedoraproject.org> - 5.3.2-2
- Remove usage of undefined macros

* Sun Jan 09 2022 David King <amigadave@amigadave.com> - 5.3.2-1
- Update to 5.3.2

* Sat Jan 08 2022 David King <amigadave@amigadave.com> - 5.3.1-1
- Update to 5.3.1

* Mon Oct 25 2021 Amanda Graven <amanda@amandag.net> - 5.2.0-1
- Initial packaging of GtkSourceView 5
